<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: timlCNNConvParams Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">timlCNNConvParams Struct Reference<div class="ingroups"><a class="el" href="group__cnn.html">cnn</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a6fb3beb8171e860beeeab88871d6800d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fb3beb8171e860beeeab88871d6800d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>inputFeatureMapChannel</b></td></tr>
<tr class="separator:a6fb3beb8171e860beeeab88871d6800d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a02c142001eb558a4ac218a280312ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a02c142001eb558a4ac218a280312ec"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>outputFeatureMapChannel</b></td></tr>
<tr class="separator:a3a02c142001eb558a4ac218a280312ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e795e9df00443e31fb119099e6873f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e795e9df00443e31fb119099e6873f6"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>kernelRow</b></td></tr>
<tr class="separator:a4e795e9df00443e31fb119099e6873f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af40cc1827b79b4aeba04f5aeb3f233fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af40cc1827b79b4aeba04f5aeb3f233fb"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>kernelCol</b></td></tr>
<tr class="separator:af40cc1827b79b4aeba04f5aeb3f233fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a240fbb5686f383f0668e8d1bc3496f60"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a240fbb5686f383f0668e8d1bc3496f60"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>padUp</b></td></tr>
<tr class="separator:a240fbb5686f383f0668e8d1bc3496f60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30adf9a8301908558b5dbe9113445f4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30adf9a8301908558b5dbe9113445f4f"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>padDown</b></td></tr>
<tr class="separator:a30adf9a8301908558b5dbe9113445f4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11a00260d989f87e6e95b1ceaf023b70"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11a00260d989f87e6e95b1ceaf023b70"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>padLeft</b></td></tr>
<tr class="separator:a11a00260d989f87e6e95b1ceaf023b70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af796421625f64fbbd4121841deea7ea4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af796421625f64fbbd4121841deea7ea4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>padRight</b></td></tr>
<tr class="separator:af796421625f64fbbd4121841deea7ea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10058dd19c954a11e7634ed4e27dfb12"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10058dd19c954a11e7634ed4e27dfb12"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>strideX</b></td></tr>
<tr class="separator:a10058dd19c954a11e7634ed4e27dfb12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab55ca0a1b3ce0d8b6cd5e0b9cb9b1ac4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab55ca0a1b3ce0d8b6cd5e0b9cb9b1ac4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>strideY</b></td></tr>
<tr class="separator:ab55ca0a1b3ce0d8b6cd5e0b9cb9b1ac4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab07a82946b0587c68c2f76295ba2d262"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab07a82946b0587c68c2f76295ba2d262"></a>
timlUtilConvType&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:ab07a82946b0587c68c2f76295ba2d262"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a177849440786d4c2f3e1a083e164bc34"><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNConvParams.html#a177849440786d4c2f3e1a083e164bc34">prevFeatureMapReshape</a></td></tr>
<tr class="separator:a177849440786d4c2f3e1a083e164bc34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa25d829029e1fd35df54c92c1bdc2028"><td class="memItemLeft" align="right" valign="top">int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNConvParams.html#aa25d829029e1fd35df54c92c1bdc2028">prevFeatureMapReshapeIndex</a></td></tr>
<tr class="separator:aa25d829029e1fd35df54c92c1bdc2028"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2041f18b55495bbb6ecc21e5697fa056"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2041f18b55495bbb6ecc21e5697fa056"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>kernelGradAccum</b></td></tr>
<tr class="separator:a2041f18b55495bbb6ecc21e5697fa056"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28cbfb2c818fb5c6a1fe6e70cd0363c1"><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNConvParams.html#a28cbfb2c818fb5c6a1fe6e70cd0363c1">kernel</a></td></tr>
<tr class="separator:a28cbfb2c818fb5c6a1fe6e70cd0363c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c3fe58792d8834fcc270aedcae489e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c3fe58792d8834fcc270aedcae489e4"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>kernelInc</b></td></tr>
<tr class="separator:a0c3fe58792d8834fcc270aedcae489e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd401adab2e8f3143c2bff95d98e8248"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd401adab2e8f3143c2bff95d98e8248"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>kernelDecayFactor</b></td></tr>
<tr class="separator:acd401adab2e8f3143c2bff95d98e8248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c54a803f2a9c64a39c2d6d414a8d0c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c54a803f2a9c64a39c2d6d414a8d0c2"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>kernelLearningFactor</b></td></tr>
<tr class="separator:a3c54a803f2a9c64a39c2d6d414a8d0c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd0e4b0dc0bcafe0845bd55557b41c02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acd0e4b0dc0bcafe0845bd55557b41c02"></a>
<a class="el" href="structtimlUtilInitializer.html">timlUtilInitializer</a>&#160;</td><td class="memItemRight" valign="bottom"><b>kernelInit</b></td></tr>
<tr class="separator:acd0e4b0dc0bcafe0845bd55557b41c02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af13df46a47c988639b3c3030f467ec58"><td class="memItemLeft" align="right" valign="top">int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNConvParams.html#af13df46a47c988639b3c3030f467ec58">connectivity</a></td></tr>
<tr class="separator:af13df46a47c988639b3c3030f467ec58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca77b3c48cc58deb027733e3ed41d310"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca77b3c48cc58deb027733e3ed41d310"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>bias</b></td></tr>
<tr class="separator:aca77b3c48cc58deb027733e3ed41d310"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0bbe0b45bb41065123b6f2ea52290b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0bbe0b45bb41065123b6f2ea52290b7"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>biasGradAccum</b></td></tr>
<tr class="separator:af0bbe0b45bb41065123b6f2ea52290b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacf4d44fab075f8c60c1e3fd5950ed30"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aacf4d44fab075f8c60c1e3fd5950ed30"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>biasInc</b></td></tr>
<tr class="separator:aacf4d44fab075f8c60c1e3fd5950ed30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac645e5e1c363c8cf48988a2a5d044b38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac645e5e1c363c8cf48988a2a5d044b38"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>biasMultiplier</b></td></tr>
<tr class="separator:ac645e5e1c363c8cf48988a2a5d044b38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5376d346f3221dce9692b2274fb5bf17"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5376d346f3221dce9692b2274fb5bf17"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>biasLearningFactor</b></td></tr>
<tr class="separator:a5376d346f3221dce9692b2274fb5bf17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ababce67a8bdd63681c4cc13aa4199e96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ababce67a8bdd63681c4cc13aa4199e96"></a>
<a class="el" href="structtimlUtilInitializer.html">timlUtilInitializer</a>&#160;</td><td class="memItemRight" valign="bottom"><b>biasInit</b></td></tr>
<tr class="separator:ababce67a8bdd63681c4cc13aa4199e96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66c9c7760e0a8ecbde883dc9fcf5915b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66c9c7760e0a8ecbde883dc9fcf5915b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>shared</b></td></tr>
<tr class="separator:a66c9c7760e0a8ecbde883dc9fcf5915b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="af13df46a47c988639b3c3030f467ec58"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* timlCNNConvParams::connectivity</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>connectivity matrix (if prev-&gt;featureMap(i) is connected to layer-&gt;featureMap(j) by a kernel) </p>

</div>
</div>
<a class="anchor" id="a28cbfb2c818fb5c6a1fe6e70cd0363c1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* timlCNNConvParams::kernel</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>size = (channel) * (kernelRow*kernelCol*prev-&gt;channel) </p>

</div>
</div>
<a class="anchor" id="a177849440786d4c2f3e1a083e164bc34"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* timlCNNConvParams::prevFeatureMapReshape</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>reshape the feature map of the previous layer to size (prev-&gt;channel*kernelRow*kernelCol) * (row*col) </p>

</div>
</div>
<a class="anchor" id="aa25d829029e1fd35df54c92c1bdc2028"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* timlCNNConvParams::prevFeatureMapReshapeIndex</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>the reshape matrix of size (kernelRow*kernelCol) * (row*col) </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="timlCNN_8h_source.html">timlCNN.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
